#!/bin/bash

PATH=$PATH:/usr/bin/:/usr/local/bin/:/usr/sbin
dataCenterPath=$1
profile=$2

function startModule()
{
  moduleName=$1
  #${JAVA_HOME}bin/java -Xms256m -Xmx512m -Xss512K -Dspring.profiles.active=${profile} -Dspring.config.location=file:${dataCenterPath}/config/ -jar jars/${moduleName}.jar &
  ${JAVA_HOME}bin/java -Dspring.profiles.active=${profile} -jar jars/${moduleName}.jar &
  # > logs/${moduleName}.log &
  echo "${!}" > pids/common/${moduleName}.pid
  sleep 1
}

function main(){
  cd ${dataCenterPath}
  startModule data-collection
  startModule data-metadata-collect-fileset
  startModule data-metadata-collect
  startModule data-metadata-dic
  startModule data-metadata-group
  startModule data-metadata-mapping
  startModule data-metadata-model
  startModule data-sources
  startModule data-standard
  startModule data-metadata-interface
  startModule data-asset
}

main


